(*
 * Copyright 2009-2010, University of Copenhagen
 * Nicolas Palix
 * This file is part of Herodotos.
 *
 * Herodotos is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, according to version 2 of the License.
 *
 * Herodotos is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Herodotos.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The authors reserve the right to distribute this or future versions of
 * Herodotos under other licenses.
 *)



let get_status s =
  match s with
      Ast_org.EMPTY     -> ""
    | Ast_org.TODO	-> "TODO"
    | Ast_org.OK	-> "OK"
    | Ast_org.BUG	-> "BUG"
    | Ast_org.FP	-> "FP"
    | Ast_org.SAME	-> "SAME"
    | Ast_org.UNRELATED	-> "UNRELATED"
    | Ast_org.UNKNOWN   -> "UNKNOWN"
    | Ast_org.IGNORED   -> "IGNORED"
    | Ast_org.Unknow st -> st
