exception Error

type token = 
  | TYMIN
  | TYMAX
  | TYLEGENDFACTOR
  | TYLEGEND
  | TYLABELS
  | TYAXIS
  | TXMIN
  | TXLEGEND
  | TXLABELS
  | TXAXIS
  | TWEBSITE
  | TVMIN
  | TVERSIONS
  | TSUBDIR
  | TSTRING2Q of (string)
  | TSTRING1Q of (string)
  | TSTAR
  | TSQLOP of (string)
  | TSQL
  | TSLASH
  | TSIZE
  | TSCM
  | TSC
  | TRPAR
  | TRCB
  | TRATIO
  | TPRUNE
  | TPROJECTS
  | TPROJECT
  | TPREFIX
  | TPLUS
  | TPATTERNCOLOR
  | TPATTERN
  | TNOTEXISTCOLOR
  | TNONE
  | TMINUS
  | TMARKTYPE
  | TMARKSIZE
  | TLT
  | TLPAR
  | TLINESTYLE
  | TLEGEND
  | TLCB
  | TInt of (int)
  | TId of (string)
  | TINFO
  | TGT
  | TGROUP
  | TGRAPH
  | TFloat of (float)
  | TFORMAT
  | TFOOTER
  | TFLAGS
  | TFILENAME
  | TFILE
  | TFACTOR
  | TEQUAL
  | TEMPTY
  | TDIR
  | TDCOLON
  | TDBCONN
  | TDATA
  | TCURVE
  | TCPUCORE
  | TCORREL
  | TCOMMA
  | TCOLOR
  | TCOLON
  | TCLEANCOLOR
  | TBOOL of (bool)
  | TAUTHOR
  | EOF


val main: (Lexing.lexbuf -> token) -> Lexing.lexbuf -> (unit)